Description: Use system libsnappy for retracers
 The tracers run LD_PRELOADed into arbitrary, often closed-source binaries,
 so statically-link libsnappy to minimise the possibility of symbol conflicts,
 but the retracers don't have that constraint and are used to process untrusted
 data.
Forwarded: not-needed
Author: Christopher James Halse Rogers <raof@ubuntu.com>

--- a/lib/trace/CMakeLists.txt
+++ b/lib/trace/CMakeLists.txt
@@ -31,7 +31,7 @@ target_link_libraries (common
     guids
     highlight
     os
-    Snappy::snappy
+    ${SNAPPY_STATIC_LIBRARIES}
     ZLIB::ZLIB
     PkgConfig::BROTLIDEC
 )
--- a/thirdparty/CMakeLists.txt
+++ b/thirdparty/CMakeLists.txt
@@ -32,8 +32,10 @@ if (SUBMODULES_MISSING)
 endif ()
 
 if (ENABLE_STATIC_SNAPPY OR NOT Snappy_FOUND)
-    message (STATUS "Using bundled Snappy")
-    include_with_scope (snappy.cmake)
+    message (STATUS "Using static SNAPPY")
+    find_package(Snappy REQUIRED)
+    # Our libsnappy package builds a PIC libsnappy-shared.a archive.
+    find_library(SNAPPY_STATIC_LIBRARIES libsnappy-shared.a)
 endif ()
 
 if (NOT ZLIB_FOUND)
